%define         _sysconfdir     /etc/ipac-ng
%define		_ipac_datadir	/var/lib/ipac-ng

# 1 for iptables, 0 for ipchains
%define		_iptables	1

Summary: ipac-ng is a package which summarize and nicely output the IP accounting data
Name: ipac-ng
Version: 1.11
Release: 1
Copyright: GPL
Group: Network/Traffic
Source0: http://prdownloads.sourceforge.net/ipac-ng/%{name}-%{version}.tar.gz
Source1: ipac.conf
%if %{_iptables}
Source2: ipac-ng.init.iptables
%else
Source2: ipac-ng.init.ipchains
%endif
Source3: ipac-ng.cron
%if %{_iptables}
Requires: perl, iptables
%else
Requires: perl, ipchains
%endif
Buildroot: %{_tmppath}/ipac-root
Packager: Frank Dauer <f@paf.net>
URL: http://sourceforge.net/projects/ipac-ng/


%description
ipac-ng is an ip accounting package for linux. It collects, summarizes and nicly displays ip accounting data. The output of ipac-ng can be a simple ascii table or graph images. Ipchains and iptables now supported. Postgresql too.

%prep
%setup -q


%build

export ipac_datadir=%{_ipac_datadir}

%configure \
	--prefix=/usr \
	--disable-auth-server \
%if %{_iptables}
	--enable-default-agent=iptables
%else
	--enable-default-agent=ipchains
%endif

make 

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{ipac-ng,rc.d/init.d,cron.hourly} \
	$RPM_BUILD_ROOT/var/lib/ipac-ng $RPM_BUILD_ROOT%{_infodir} \
	$RPM_BUILD_ROOT/usr/{bin,sbin}

make install \
        DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/ipac-ng/ipac.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/ipac-ng
install %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.hourly/ipac-ng.cron

%post

/sbin/chkconfig --add ipac-ng

%preun
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del ipac-ng
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES TODO UPDATE README contrib/*
%dir %attr(750,root,root) %{_sysconfdir}
%dir %attr(750,root,root) %{_ipac_datadir}
%{_mandir}/man*/*
%{_sbindir}/*
%config /etc/rc.d/init.d/ipac-ng
%config /etc/cron.hourly/ipac-ng.cron
%config(noreplace) /etc/ipac-ng/ipac.conf

%changelog

* Tue Oct  9 2001 Frank Dauer <f@paf.net>
- Initial build
